Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class Utilities

    java.lang.Object
      com.trolltech.qt.Utilities

    public class Utilities

extends java.lang.Object

This class contains static members that gives information and performs Qt Jambi related tasks.

Nested Class Summary
`static class` | `Utilities.Configuration` Defines whether Qt is build in Release or Debug.
`static class` | `Utilities.OperatingSystem` Enum for defining the operation system.

Field Summary
`static int` | `BUILD_NUMBER` Qt Library build number
`static Utilities.Configuration` | `configuration` The Configuration of Qt Jambi.
`static boolean` | `implicitLoading` Wheter Qt Jambi has implicit loading.
`static java.lang.String` | `libSubPath` The library sub path.
`static boolean` | `loadFromCache` Whether Qt Jambi should prefer to load libraries from its cache
`static int` | `MAJOR_VERSION` The Qt Library's major version.
`static int` | `MINOR_VERSION` The Qt Library's minor version.
`static Utilities.OperatingSystem` | `operatingSystem` The operating system Qt Jambi is running on.
`static int` | `PATCH_VERSION` The Qt Library's patch version.
`static java.lang.String` | `VERSION_STRING` A formated String with versioning

Method Summary
`static java.io.File` | `jambiTempDir()` This is a JambiDoclet generated javadoc comment for com.trolltech.qt.Utilities.jambiTempDir.
`static void` | `loadJambiLibrary(java.lang.String library)` Checks the debug mode and loads the appropriate `library`.
`static boolean` | `loadLibrary(java.lang.String lib)` Loads the library `lib`.
`static void` | `loadQtLibrary(java.lang.String library)` Loads the library stored in the file with name `library`.
`static void` | `loadSystemLibraries()` This loads Qt Jambi's system libraries.
`static boolean` | `matchProperty(java.lang.String name, java.lang.String... substrings)` Returns true if the system property name contains any of the specified substrings.
`static java.lang.String` | `unpackPlugins()` This is a JambiDoclet generated javadoc comment for com.trolltech.qt.Utilities.unpackPlugins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAJOR_VERSION

    public static final int MAJOR_VERSION

  The Qt Library's major version.

  See Also:
    Constant Field Values

### MINOR_VERSION

    public static final int MINOR_VERSION

  The Qt Library's minor version.

  See Also:
    Constant Field Values

### PATCH_VERSION

    public static final int PATCH_VERSION

  The Qt Library's patch version.

  See Also:
    Constant Field Values

### BUILD_NUMBER

    public static final int BUILD_NUMBER

  Qt Library build number

  See Also:
    Constant Field Values

### VERSION_STRING

    public static final java.lang.String VERSION_STRING

  A formated String with versioning

### operatingSystem

    public static Utilities.OperatingSystem operatingSystem

  The operating system Qt Jambi is running on.

### configuration

    public static Utilities.Configuration configuration

  The Configuration of Qt Jambi.

### implicitLoading

    public static boolean implicitLoading

  Wheter Qt Jambi has implicit loading.

### libSubPath

    public static java.lang.String libSubPath

  The library sub path.

### loadFromCache

    public static boolean loadFromCache

  Whether Qt Jambi should prefer to load libraries from its cache

Method Detail

### matchProperty

    public static boolean matchProperty(java.lang.String name,
                                        java.lang.String... substrings)

  Returns true if the system property name contains any of the specified substrings. If substrings is null or empty the function returns true if the value is non-null.

### loadSystemLibraries

    public static void loadSystemLibraries()

  This loads Qt Jambi's system libraries.

### loadQtLibrary

    public static void loadQtLibrary(java.lang.String library)

  Loads the library stored in the file with name `library`.

### loadJambiLibrary

    public static void loadJambiLibrary(java.lang.String library)

  Checks the debug mode and loads the appropriate `library`.

### loadLibrary

    public static boolean loadLibrary(java.lang.String lib)

  Loads the library `lib`. Returns true if the library was loaded successfully.

### jambiTempDir

    public static java.io.File jambiTempDir()

  This is a JambiDoclet generated javadoc comment for com.trolltech.qt.Utilities.jambiTempDir.

### unpackPlugins

    public static java.lang.String unpackPlugins()

  This is a JambiDoclet generated javadoc comment for com.trolltech.qt.Utilities.unpackPlugins.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD